// const name: string = 'John';
// const age: number = 30;
// const isActive: boolean = true;
const message = 'World';

const total: number = 10 + 20;
const greeting: string = `Hello, ${message}!`;
const isActive: boolean = total > 20;

let unknownValue: unknown = { message: 'Can be anything' };
let anyValue: any = { count: '42' };

let nullableValue: null = null;
let undefinedValue: undefined = undefined;
let mixedType: number | string = 'flexible type';
mixedType = 100;
// mixedType = true;

// console.log(unknownValue)

let valueAny: any;

// value = 42;
// value = true;
// value = 'Hello';

// let numberValue: number = value;
// console.log(numberValue * 2);

let value: unknown;

value = true;
value = 'Hello';
value = 42;

if (typeof value === 'number') {
  let numberValue: number = value;
  console.log(numberValue * 2);
} else {
  console.log('value ist keine number');
}
export default {}
